Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412766 - RHEL 7.3 Workstation Kickstarts fails to switch root
Summary: RHEL 7.3 Workstation Kickstarts fails to switch root
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: unspecified
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Martin Korbel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 18:05 UTC by Camry Fedei
Modified: 2020-02-14 18:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 15:46:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Camry Fedei 2017-01-12 18:05:44 UTC
Description of problem:
 Kickstarting a RHEL 7.3 Workstation (7.2 is successful) from satellite 5.7 using PXE. The kickstart pulls down vmlinuz and initrd.img and fails shortly after.  When it fails it goes to the dracut prompt and no further and we see the following:

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Failed to switch root: Specified switch root path /sysroot does not seem to be 
an OS tree. os-release file is missing.
Initrd-switch-root.service: main process exited, code=exited, status=1/FAILURE
Failed to start Switch Root.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Version-Release number of selected component (if applicable):
Satellite 5.x
RHEL Workstation 7.3

Additional Notes
 - Kickstart RHEL7.3 workstation THROUGH satellite 5 is all that we can confirm fails. 
 - Downloading the 7.3 ISO and burning it to a dvd and then kickstarting from the dvd is SUCCESSFUL, so it looks like there's some disconnect in the communication between satellite and anaconda perhaps?

Comment 4 Tomas Lestach 2017-06-09 15:46:23 UTC
Needinfo not answered for 4+months. Closing with INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.